<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore 4.2.3</title>
</head><body onload="setBrowserTitle('HttpCore 4.2.3: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:34:57 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="proj-risks.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:34:46 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,141
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      25,472
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,125
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.41
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      2,026
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      10,376
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.51
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      4.99
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      939
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      188
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.26
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      13.43
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      188
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      14
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:34:46 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,141
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      25,472
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,125
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.41
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      2,026
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      10,376
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.51
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      4.99
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      939
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      188
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.26
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      13.43
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      188
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      14
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                                            <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='proj-risks.html'">Project Risks</label>
                        </div>
                    </div>
                </li>
                                                            <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">Clover database Wed Nov 28 2012 22:34:46 CET</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop noLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
	
      <div id="deepPackageCloud"  >
      
	 	 
	       <a href="org/apache/http/pool/AbstractConnPool.html#AbstractConnPool" class="tag"
	  style="font-size: 20px;color:#0205fc"
	  title="Average Method Complexity - 2.826 , Coverage - 92.2% ">AbstractConnPool</a>
   
	 	 
	       <a href="org/apache/http/impl/AbstractHttpClientConnection.html#AbstractHttpClientConnection" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="Average Method Complexity - 1.722 , Coverage - 71.1% ">AbstractHttpClientConnection</a>
   
	 	 
	       <a href="org/apache/http/entity/AbstractHttpEntity.html#AbstractHttpEntity" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="Average Method Complexity - 1.2 , Coverage - 96.6% ">AbstractHttpEntity</a>
   
	 	 
	       <a href="org/apache/http/params/AbstractHttpParams.html#AbstractHttpParams" class="tag"
	  style="font-size: 14px;color:#660598"
	  title="Average Method Complexity - 1.417 , Coverage - 52% ">AbstractHttpParams</a>
   
	 	 
	       <a href="org/apache/http/impl/AbstractHttpServerConnection.html#AbstractHttpServerConnection" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="Average Method Complexity - 1.588 , Coverage - 69.8% ">AbstractHttpServerConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/io/AbstractMessageParser.html#AbstractMessageParser" class="tag"
	  style="font-size: 38px;color:#0205fc"
	  title="Average Method Complexity - 7.25 , Coverage - 92.3% ">AbstractMessageParser</a>
   
	 	 
	       <a href="org/apache/http/impl/io/AbstractMessageWriter.html#AbstractMessageWriter" class="tag"
	  style="font-size: 21px;color:#1b05e3"
	  title="Average Method Complexity - 3 , Coverage - 79.2% ">AbstractMessageWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/io/AbstractSessionInputBuffer.html#AbstractSessionInputBuffer" class="tag"
	  style="font-size: 22px;color:#0205fc"
	  title="Average Method Complexity - 3.333 , Coverage - 98% ">AbstractSessionInputBuffer</a>
   
	 	 
	       <a href="org/apache/http/impl/pool/BasicConnFactory.html#BasicConnFactory" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="Average Method Complexity - 2.25 , Coverage - 91.9% ">BasicConnFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/pool/BasicConnPool.html#BasicConnPool" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="Average Method Complexity - 1 , Coverage - 66.7% ">BasicConnPool</a>
   
	 	 
	       <a href="org/apache/http/concurrent/BasicFuture.html#BasicFuture" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="Average Method Complexity - 2.3 , Coverage - 91.8% ">BasicFuture</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHeaderElementIterator.html#BasicHeaderElementIterator" class="tag"
	  style="font-size: 21px;color:#1b05e3"
	  title="Average Method Complexity - 3.125 , Coverage - 84.1% ">BasicHeaderElementIterator</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHeaderValueFormatter.html#BasicHeaderValueFormatter" class="tag"
	  style="font-size: 23px;color:#0205fc"
	  title="Average Method Complexity - 3.6 , Coverage - 93.3% ">BasicHeaderValueFormatter</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHeaderValueParser.html#BasicHeaderValueParser" class="tag"
	  style="font-size: 29px;color:#1b05e3"
	  title="Average Method Complexity - 5.083 , Coverage - 87.4% ">BasicHeaderValueParser</a>
   
	 	 
	       <a href="org/apache/http/protocol/BasicHttpContext.html#BasicHttpContext" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="Average Method Complexity - 2.429 , Coverage - 78.4% ">BasicHttpContext</a>
   
	 	 
	       <a href="org/apache/http/entity/BasicHttpEntity.html#BasicHttpEntity" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="Average Method Complexity - 1.444 , Coverage - 81.6% ">BasicHttpEntity</a>
   
	 	 
	       <a href="org/apache/http/params/BasicHttpParams.html#BasicHttpParams" class="tag"
	  style="font-size: 14px;color:#80057e"
	  title="Average Method Complexity - 1.417 , Coverage - 35.6% ">BasicHttpParams</a>
   
	 	 
	       <a href="org/apache/http/protocol/BasicHttpProcessor.html#BasicHttpProcessor" class="tag"
	  style="font-size: 16px;color:#990565"
	  title="Average Method Complexity - 1.783 , Coverage - 23.1% ">BasicHttpProcessor</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHttpRequest.html#BasicHttpRequest" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="Average Method Complexity - 1.667 , Coverage - 94.3% ">BasicHttpRequest</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHttpResponse.html#BasicHttpResponse" class="tag"
	  style="font-size: 15px;color:#4d05b1"
	  title="Average Method Complexity - 1.5 , Coverage - 58.6% ">BasicHttpResponse</a>
   
	 	 
	       <a href="org/apache/http/message/BasicLineFormatter.html#BasicLineFormatter" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="Average Method Complexity - 2.154 , Coverage - 98.3% ">BasicLineFormatter</a>
   
	 	 
	       <a href="org/apache/http/message/BasicLineParser.html#BasicLineParser" class="tag"
	  style="font-size: 25px;color:#3405ca"
	  title="Average Method Complexity - 4.133 , Coverage - 69.9% ">BasicLineParser</a>
   
	 	 
	       <a href="org/apache/http/message/BasicListHeaderIterator.html#BasicListHeaderIterator" class="tag"
	  style="font-size: 17px;color:#1b05e3"
	  title="Average Method Complexity - 2.143 , Coverage - 84.6% ">BasicListHeaderIterator</a>
   
	 	 
	       <a href="org/apache/http/impl/pool/BasicPoolEntry.html#BasicPoolEntry" class="tag"
	  style="font-size: 14px;color:#3405ca"
	  title="Average Method Complexity - 1.333 , Coverage - 71.4% ">BasicPoolEntry</a>
   
	 	 
	       <a href="org/apache/http/util/ByteArrayBuffer.html#ByteArrayBuffer" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="Average Method Complexity - 2.667 , Coverage - 98.4% ">ByteArrayBuffer</a>
   
	 	 
	       <a href="org/apache/http/entity/ByteArrayEntity.html#ByteArrayEntity" class="tag"
	  style="font-size: 17px;color:#1b05e3"
	  title="Average Method Complexity - 2 , Coverage - 84.9% ">ByteArrayEntity</a>
   
	 	 
	       <a href="org/apache/http/util/CharArrayBuffer.html#CharArrayBuffer" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="Average Method Complexity - 2.64 , Coverage - 97.8% ">CharArrayBuffer</a>
   
	 	 
	       <a href="org/apache/http/impl/io/ChunkedInputStream.html#ChunkedInputStream" class="tag"
	  style="font-size: 23px;color:#0205fc"
	  title="Average Method Complexity - 3.7 , Coverage - 95.1% ">ChunkedInputStream</a>
   
	 	 
	       <a href="org/apache/http/Consts.html#Consts" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">Consts</a>
   
	 	 
	       <a href="org/apache/http/impl/io/ContentLengthInputStream.html#ContentLengthInputStream" class="tag"
	  style="font-size: 24px;color:#0205fc"
	  title="Average Method Complexity - 3.714 , Coverage - 93.7% ">ContentLengthInputStream</a>
   
	 	 
	       <a href="org/apache/http/ContentTooLongException.html#ContentTooLongException" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">ContentTooLongException</a>
   
	 	 
	       <a href="org/apache/http/entity/ContentType.html#ContentType" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="Average Method Complexity - 2.417 , Coverage - 96.6% ">ContentType</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultConnectionReuseStrategy.html#DefaultConnectionReuseStrategy" class="tag"
	  style="font-size: 28px;color:#0205fc"
	  title="Average Method Complexity - 4.75 , Coverage - 97.1% ">DefaultConnectionReuseStrategy</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultHttpClientConnection.html#DefaultHttpClientConnection" class="tag"
	  style="font-size: 19px;color:#3405ca"
	  title="Average Method Complexity - 2.5 , Coverage - 71.4% ">DefaultHttpClientConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultHttpRequestFactory.html#DefaultHttpRequestFactory" class="tag"
	  style="font-size: 22px;color:#660598"
	  title="Average Method Complexity - 3.25 , Coverage - 50% ">DefaultHttpRequestFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultHttpResponseFactory.html#DefaultHttpResponseFactory" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="Average Method Complexity - 1.6 , Coverage - 76.9% ">DefaultHttpResponseFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultHttpServerConnection.html#DefaultHttpServerConnection" class="tag"
	  style="font-size: 19px;color:#3405ca"
	  title="Average Method Complexity - 2.5 , Coverage - 71.4% ">DefaultHttpServerConnection</a>
   
	 	 
	       <a href="org/apache/http/protocol/DefaultedHttpContext.html#DefaultedHttpContext" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1.333 , Coverage - 0% ">DefaultedHttpContext</a>
   
	 	 
	       <a href="org/apache/http/params/DefaultedHttpParams.html#DefaultedHttpParams" class="tag"
	  style="font-size: 14px;color:#3405ca"
	  title="Average Method Complexity - 1.4 , Coverage - 73.7% ">DefaultedHttpParams</a>
   
	 	 
	       <a href="org/apache/http/util/EncodingUtils.html#EncodingUtils" class="tag"
	  style="font-size: 21px;color:#0205fc"
	  title="Average Method Complexity - 3 , Coverage - 94.3% ">EncodingUtils</a>
   
	 	 
	       <a href="org/apache/http/impl/entity/EntityDeserializer.html#EntityDeserializer" class="tag"
	  style="font-size: 22px;color:#0205fc"
	  title="Average Method Complexity - 3.333 , Coverage - 95.7% ">EntityDeserializer</a>
   
	 	 
	       <a href="org/apache/http/impl/entity/EntitySerializer.html#EntitySerializer" class="tag"
	  style="font-size: 21px;color:#0205fc"
	  title="Average Method Complexity - 3 , Coverage - 94.1% ">EntitySerializer</a>
   
	 	 
	       <a href="org/apache/http/util/EntityUtils.html#EntityUtils" class="tag"
	  style="font-size: 23px;color:#4d05b1"
	  title="Average Method Complexity - 3.667 , Coverage - 65.4% ">EntityUtils</a>
   
	 	 
	       <a href="org/apache/http/util/ExceptionUtils.html#ExceptionUtils" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">ExceptionUtils</a>
   
	 	 
	       <a href="org/apache/http/entity/FileEntity.html#FileEntity" class="tag"
	  style="font-size: 15px;color:#4d05b1"
	  title="Average Method Complexity - 1.667 , Coverage - 60.8% ">FileEntity</a>
   
	 	 
	       <a href="org/apache/http/protocol/HTTP.html#HTTP" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="Average Method Complexity - 1 , Coverage - 66.7% ">HTTP</a>
   
	 	 
	       <a href="org/apache/http/message/HeaderGroup.html#HeaderGroup" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="Average Method Complexity - 2.059 , Coverage - 94.7% ">HeaderGroup</a>
   
	 	 
	       <a href="org/apache/http/params/HttpAbstractParamBean.html#HttpAbstractParamBean" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">HttpAbstractParamBean</a>
   
	 	 
	       <a href="org/apache/http/impl/HttpConnectionMetricsImpl.html#HttpConnectionMetricsImpl" class="tag"
	  style="font-size: 18px;color:#b2054c"
	  title="Average Method Complexity - 2.3 , Coverage - 15.8% ">HttpConnectionMetricsImpl</a>
   
	 	 
	       <a href="org/apache/http/params/HttpConnectionParamBean.html#HttpConnectionParamBean" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpConnectionParamBean</a>
   
	 	 
	       <a href="org/apache/http/params/HttpConnectionParams.html#HttpConnectionParams" class="tag"
	  style="font-size: 16px;color:#990565"
	  title="Average Method Complexity - 1.941 , Coverage - 24.5% ">HttpConnectionParams</a>
   
	 	 
	       <a href="org/apache/http/entity/HttpEntityWrapper.html#HttpEntityWrapper" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="Average Method Complexity - 1.1 , Coverage - 92% ">HttpEntityWrapper</a>
   
	 	 
	       <a href="org/apache/http/HttpHeaders.html#HttpHeaders" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpHeaders</a>
   
	 	 
	       <a href="org/apache/http/HttpHost.html#HttpHost" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="Average Method Complexity - 1.462 , Coverage - 97.1% ">HttpHost</a>
   
	 	 
	       <a href="org/apache/http/params/HttpProtocolParamBean.html#HttpProtocolParamBean" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpProtocolParamBean</a>
   
	 	 
	       <a href="org/apache/http/params/HttpProtocolParams.html#HttpProtocolParams" class="tag"
	  style="font-size: 18px;color:#660598"
	  title="Average Method Complexity - 2.267 , Coverage - 50.5% ">HttpProtocolParams</a>
   
	 	 
	       <a href="org/apache/http/impl/io/HttpRequestParser.html#HttpRequestParser" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">HttpRequestParser</a>
   
	 	 
	       <a href="org/apache/http/impl/io/HttpResponseParser.html#HttpResponseParser" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">HttpResponseParser</a>
   
	 	 
	       <a href="org/apache/http/protocol/HttpService.html#HttpService" class="tag"
	  style="font-size: 19px;color:#1b05e3"
	  title="Average Method Complexity - 2.692 , Coverage - 78.2% ">HttpService</a>
   
	 	 
	       <a href="org/apache/http/impl/io/HttpTransportMetricsImpl.html#HttpTransportMetricsImpl" class="tag"
	  style="font-size: 13px;color:#4d05b1"
	  title="Average Method Complexity - 1 , Coverage - 60% ">HttpTransportMetricsImpl</a>
   
	 	 
	       <a href="org/apache/http/HttpVersion.html#HttpVersion" class="tag"
	  style="font-size: 27px;color:#1b05e3"
	  title="Average Method Complexity - 4.5 , Coverage - 82.6% ">HttpVersion</a>
   
	 	 
	       <a href="org/apache/http/impl/io/IdentityInputStream.html#IdentityInputStream" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 1.8 , Coverage - 92.6% ">IdentityInputStream</a>
   
	 	 
	       <a href="org/apache/http/protocol/ImmutableHttpProcessor.html#ImmutableHttpProcessor" class="tag"
	  style="font-size: 19px;color:#4d05b1"
	  title="Average Method Complexity - 2.667 , Coverage - 62.1% ">ImmutableHttpProcessor</a>
   
	 	 
	       <a href="org/apache/http/entity/InputStreamEntity.html#InputStreamEntity" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 1.875 , Coverage - 88.5% ">InputStreamEntity</a>
   
	 	 
	       <a href="org/apache/http/util/LangUtils.html#LangUtils" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="Average Method Complexity - 2.5 , Coverage - 97.2% ">LangUtils</a>
   
	 	 
	       <a href="org/apache/http/impl/entity/LaxContentLengthStrategy.html#LaxContentLengthStrategy" class="tag"
	  style="font-size: 40px;color:#0205fc"
	  title="Average Method Complexity - 7.667 , Coverage - 95.8% ">LaxContentLengthStrategy</a>
   
	 	 
	       <a href="org/apache/http/ParseException.html#ParseException" class="tag"
	  style="font-size: 13px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 50% ">ParseException</a>
   
	 	 
	       <a href="org/apache/http/message/ParserCursor.html#ParserCursor" class="tag"
	  style="font-size: 15px;color:#660598"
	  title="Average Method Complexity - 1.571 , Coverage - 51.2% ">ParserCursor</a>
   
	 	 
	       <a href="org/apache/http/pool/PoolEntry.html#PoolEntry" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="Average Method Complexity - 1.429 , Coverage - 97.1% ">PoolEntry</a>
   
	 	 
	       <a href="org/apache/http/pool/PoolEntryFuture.html#PoolEntryFuture" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="Average Method Complexity - 2.25 , Coverage - 84.2% ">PoolEntryFuture</a>
   
	 	 
	       <a href="org/apache/http/pool/PoolStats.html#PoolStats" class="tag"
	  style="font-size: 13px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 53.8% ">PoolStats</a>
   
	 	 
	       <a href="org/apache/http/ProtocolVersion.html#ProtocolVersion" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="Average Method Complexity - 1.769 , Coverage - 83.3% ">ProtocolVersion</a>
   
	 	 
	       <a href="org/apache/http/impl/SocketHttpClientConnection.html#SocketHttpClientConnection" class="tag"
	  style="font-size: 17px;color:#80057e"
	  title="Average Method Complexity - 2.222 , Coverage - 41.5% ">SocketHttpClientConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/SocketHttpServerConnection.html#SocketHttpServerConnection" class="tag"
	  style="font-size: 17px;color:#80057e"
	  title="Average Method Complexity - 2.222 , Coverage - 36.1% ">SocketHttpServerConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/io/SocketInputBuffer.html#SocketInputBuffer" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="Average Method Complexity - 2.25 , Coverage - 77.8% ">SocketInputBuffer</a>
   
	 	 
	       <a href="org/apache/http/impl/io/SocketOutputBuffer.html#SocketOutputBuffer" class="tag"
	  style="font-size: 25px;color:#3405ca"
	  title="Average Method Complexity - 4 , Coverage - 73.3% ">SocketOutputBuffer</a>
   
	 	 
	       <a href="org/apache/http/impl/entity/StrictContentLengthStrategy.html#StrictContentLengthStrategy" class="tag"
	  style="font-size: 23px;color:#0205fc"
	  title="Average Method Complexity - 3.667 , Coverage - 95.2% ">StrictContentLengthStrategy</a>
   
	 	 
	       <a href="org/apache/http/entity/StringEntity.html#StringEntity" class="tag"
	  style="font-size: 16px;color:#4d05b1"
	  title="Average Method Complexity - 1.818 , Coverage - 64.4% ">StringEntity</a>
   
	 	 
	       <a href="org/apache/http/protocol/SyncBasicHttpContext.html#SyncBasicHttpContext" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">SyncBasicHttpContext</a>
   
	 	 
	       <a href="org/apache/http/params/SyncBasicHttpParams.html#SyncBasicHttpParams" class="tag"
	  style="font-size: 13px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 33.3% ">SyncBasicHttpParams</a>
   
	 	 
	       <a href="org/apache/http/protocol/UriPatternMatcher.html#UriPatternMatcher" class="tag"
	  style="font-size: 20px;color:#1b05e3"
	  title="Average Method Complexity - 2.75 , Coverage - 86.2% ">UriPatternMatcher</a>
   
	 	 
	       <a href="org/apache/http/util/VersionInfo.html#VersionInfo" class="tag"
	  style="font-size: 23px;color:#e4051a"
	  title="Average Method Complexity - 3.7 , Coverage - 0% ">VersionInfo</a>
      </div>
   
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:35:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
